package com.example.nto.controller;

import com.example.nto.entity.Code;
import com.example.nto.entity.Employee;
import com.example.nto.service.EmployeeService;
import javassist.tools.web.BadHttpRequest;
import lombok.AllArgsConstructor;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api")
@AllArgsConstructor
public class EmployeeController {
    private final EmployeeService employeeService;

    @PostMapping("/auth")
    @ResponseStatus(HttpStatus.OK)
    public void auth(@RequestBody String login, @RequestBody String password) {
        employeeService.checkEmployee(login, password);
    }

    @GetMapping("/info")
    @ResponseStatus(HttpStatus.OK)
    public Employee info(@RequestBody String login) {
        return employeeService.getEmployee(login);
    }

    @PatchMapping("/open")
    @ResponseStatus(HttpStatus.OK)
    public void open(@RequestBody String login, @RequestBody Code code) {
        employeeService.open(login, code);
    }
}
